module E = Errormsg
module L = Logic
module P = Proof
module S = Satproc
module H = Hashtbl

open Pretty

let ccid = "CC"
let debug = ref false


let entries = 
  { S.init  = (fun _ -> ());
    S.snapshot = (fun () -> ());
    S.undo = (fun () -> ());
    S.assume = (fun _ _ -> []);
    S.proveIt = (fun _ -> E.s (E.unimp "CC: proveIt"));
    S.debug = debug;
    S.ident  = ccid;
    S.descr  = "Congruence closure";
  } 
